<template>
	<view class="share-btn-box" :style="{padding:padding}">

	</view>
</template>

<script>
	import CONFIG from "@/config/global.config.js"
	export default {
		props: {
			padding: {
				type: String,
				default: '20rpx 0'
			},
			sharePoster: {
				type: String,
				default: ""
			},
			taskId: {
				type: Number,
				default: -1
			}
		},
		data() {
			return {
				codeurl: null,

			}
		},
		methods: {
			onShare() {
				this.codeurl = `${CONFIG.hostUrl}?URLType=Task&taskId=${this.taskId}`
				this.$refs.sharePosterRef.open();
			},

		}
	}
</script>

<style lang="scss" scoped>
	.share-btn-box {

		width: 100%;


	}
</style>